package cn.estsh.i3plus.ext.mes.pcn.api.mqtt;

public interface MqttService {

    /**
     * 添加订阅主题
     *
     * @param topic 主题名称
     */
    void addTopic(String topic);

    /**
     * 取消订阅主题
     *
     * @param topic 主题名称
     */
    void removeTopic(String topic);

    /**
     * 发布主题消息内容
     *
     * @param msgContent
     * @param topic
     */
    void publish(String msgContent, String topic);

    /**
     * 发布主题消息内容
     *
     */
    void unconnect();

    /**
     * 发布主题消息内容
     *
     */
    void connect();

    /**
     * 发布主题消息内容
     *
     */
    void testSend();

    void testSendList();
}
